"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.email = void 0;
const common_1 = require("./utility/common");
const getEmail = /[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?/gi;
function retrieve(str) {
    return common_1.common.retrieve(str, getEmail);
}
function isValid(str) {
    return common_1.common.isValid(str, getEmail);
}
function remove(str) {
    return common_1.common.remove(str, getEmail);
}
function swap(str, newEmail) {
    return common_1.common.swap(str, newEmail, getEmail);
}
const email = {
    isValid,
    remove,
    retrieve,
    swap
};
exports.email = email;
