"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.semver = void 0;
const common_1 = require("./utility/common");
const semverStr = /(?<=^v?|\sv?)(?:0|[1-9]\d*)\.(?:0|[1-9]\d*)\.(?:0|[1-9]\d*)(?:-(?:[1-9]\d*|[\da-z-]*[a-z-][\da-z-]*)(?:\.(?:[1-9]\d*|[\da-z-]*[a-z-][\da-z-]*))*)?(?:\+[\da-z-]+(?:\.[\da-z-]+)*)?(?=$|\s)/gi;
function retrieve(str) {
    return common_1.common.retrieve(str, semverStr);
}
function isValid(str) {
    return common_1.common.isValid(str, semverStr);
}
function remove(str) {
    return common_1.common.remove(str, semverStr);
}
function swap(str, newVer) {
    return common_1.common.swap(str, newVer, semverStr);
}
function expression() {
    return semverStr;
}
const semver = {
    expression,
    isValid,
    remove,
    retrieve,
    swap
};
exports.semver = semver;
