"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.whitespace = void 0;
const common_1 = require("./utility/common");
function removeBreaks(str) {
    return common_1.common.remove(str, /\n|\r|\\r|\\n/gim);
}
function removeTabs(str) {
    return common_1.common.remove(str, /\t|\\t/gim);
}
function removeAll(str) {
    return common_1.common.remove(str, /\t|\\t|\n|\\n|\r|\\r| /gim);
}
function singleSpace(str) {
    return str.replace(/  +/gm, ' ').trim();
}
function replaceWith(str, toReplace, newStr, single) {
    let result = str;
    if (toReplace.tabs) {
        result = result.replace(/\t|\\t/gim, newStr);
    }
    if (toReplace.breaks) {
        result = result.replace(/\n|\r|\\r|\\n/gim, newStr);
    }
    if (toReplace.multiSpace) {
        result = result.replace(/  +/gm, newStr);
    }
    if (single) {
        return singleSpace(result);
    }
    return result;
}
const whitespace = {
    removeAll,
    removeBreaks,
    removeTabs,
    replaceWith,
    singleSpace
};
exports.whitespace = whitespace;
